        program sacube
        real s,a
        integer con

10      write(*,8000)
        write(*,8000)
        write(*,5000)
        write(*,5100)
        write(*,5200)
        write(*,5300)
        write(*,5400)
        write(*,8000)
        write(*,8000)
        write(*,6000)
        read(*,6100) s
        a = 6 * (s*s)
        write(*,6200) a
        write(*,8000)
        write(*,8000)
        write(*,7000)
        write(*,7050)
        read(*,7100) con
        if (con .eq. 1) goto 10

5000    format(' This program will calculate the surface area of a')
5100    format(' cube. You must enter the length of one of the sides')
5200    format(' of the cube in the form: $$$$$$$$$.$$$ so that 4')
5300    format(' would be entered as 4. or 4.000. This program is')
5400    format(' produced and distributed by MacroWare Software.')
6000    format(' enter length of side: ')
6100    format(f10.3)
6200    format(' the answer is',f10.3)
7000    format(' Do you want to solve another? ')
7050    format(' enter 1 for yes or press enter alone for no')
7100    format(i1)
8000    format('  ')
        end

